/*******************************************************************************
 * Copyright (c) 2010- Association for Decentralized Information Management in
 * Industry THTH ry.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *    VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.databoard;

import java.io.File;

/**
 * Fasade Class for Managing historian data 
 *
 * @author Toni Kalajainen <toni.kalajainen@vtt.fi>
 */
public class Historian {
	
	/**
	 * Create a new directory based historian. 
	 * There is a session.dbv file that contain all fields except recordings.
	 * All recordings are .dbb files, where filename is a string encoded 
	 * variant. <p>
	 * 
	 * IOException is thrown if directory already existed, otherwise the
	 * directory is used. 
	 * 
	 * @param directory
	 */
	public static void createDirectoryHistorian(File directory) {
		
	}
	
//	public static RecordAccessor openDirectoryHistorian(File directory) {
//		
//	}

}

